RASC2(1)

NAME
rasc2 - Radare Shellcode helper utility

SYNOPSIS
rasc2 [-cCxXtLV] [-A N] [-C N] [-E N] [-N N] [-a addr@off] [-s hexpair] [-i name] [-S file] [-l port]

DESCRIPTION
rasc2 implements the most common practices to generate shellcodes with paddings with 0x41's ('A'), nops, breakpoints or enumerations (00 01 02 03 ..).

rasc2 can serve a syscall proxy at a specified port with -l [port]

There's an hardcoded database of common used shellcodes that can be listed with -L. Use -i to specify which want you want to use.

The output can be raw or in hexpairs (-x) or C array (-c).

Use -X to inline execute the specified. (useful for testing)

To specify the

-A|-C|-E|-N count
    Specify the number of 'A's, breakpoints, enumerations and nops to be prefixed to the shellcode.

-a addr@off
    Set the return address at a specified offset inside the resulting shellcode

-s 'hexpair'
    Set the shellcode in hexpair format. For example (-s '01 02 03')

-l port
    Listen a syscall proxy server at a specified port.

-L  List all hardcoded shellcodes

-c  Show output in C array format

-x  Show output in hexpairs format

-X  Execute resulting shellcode

-t  Performs some tests on the current platform

-h  Show usage help message.

ENVIRONMENT
Some shellcodes can be modified using the environment variables CMD, HOST and PORT. See -L for more information.

SEE ALSO

rahash2(1), rafind(1), radare2(1), radiff2(1), ranal2(1), rabin2(1), rasm2(1), rax2(1), rarc2(1), rarc2-tool(1),

AUTHORS

pancake <pancake@nopcode.org>, nibble <nibble@develsec.org>